# RNA modification level estimation with pulseR
## Etienne Boileau, Christoph Dieterich

### Supplement

Data, scripts and Jupyter notebooks reproducing the analysis for the manuscript. The scripts and data are 
sufficient to generate the figures in the published manuscript. 

Supplementary figures are available as a pdf document.

#### Data pre-processing and running the pipeline

To install pulseR, follow the instructions [here](https://github.com/dieterich-lab/pulseR).
To run the scripts, adjust the shebang for the path to the Rscript interpreter, and ensure you have executable permission on the files.

The required input data is located under mapping/, including the raw counts. To prepare the data for the analyses:

```
./run-prepare-data.R
```

The file supplement.xlsx (under mapping/) also contains the raw counts, divided into cell types, with ERCC spike-ins apart, in a format that is easier to use. In addition, sample information and m6A level estimates (using the *LAIC-seq method* ) are included. 

To run the worflow, adjust the configuration file accordingly:

```
./run-epitranscriptomics-pipeline.R >log.out 2>&1 [config] <use-spike-ins>
```

#### Figures

To generate the figures in the manuscript, run `compare_with_pulseR.ipynb`. Additional figures comparing estimates with those
published in Molinie et al. are included in `compare_with_published.ipynb`.

Supplementary figures from the manuscript are available as a pdf document only.






Copyright (c) 2018 Etienne Boileau MIT License
